Create recipients in bulk
curl --request POST \
--url https://sandbox-api.platform.chipper.ai/v1/recipients/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recipients": [
{
"code": "<string>",
"accountName": "<string>",
"label": "<string>",
"accountNumber": "<string>",
"address": "<string>",
"tag": "<string>"
}
]
}
'import requests
url = "https://sandbox-api.platform.chipper.ai/v1/recipients/bulk"
payload = { "recipients": [
{
"code": "<string>",
"accountName": "<string>",
"label": "<string>",
"accountNumber": "<string>",
"address": "<string>",
"tag": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recipients: [
{
code: '<string>',
accountName: '<string>',
label: '<string>',
accountNumber: '<string>',
address: '<string>',
tag: '<string>'
}
]
})
};
fetch('https://sandbox-api.platform.chipper.ai/v1/recipients/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"summary": {
"total": 123,
"created": 123,
"failed": 123
},
"created": [
{
"id": "rcp_x7kd92mfn3qp8wz4t6vb",
"accountName": "Ama Serwaa",
"label": "Supplier — Accra",
"code": "gh_mtn",
"country": "GH",
"currency": "GHS",
"isActive": true,
"createdAt": "2026-08-01T09:12:44.000Z",
"updatedAt": "2023-11-07T05:31:56Z",
"accountNumber": "233559630374",
"address": "9aE4gcS3…",
"tag": "<string>"
}
],
"failed": [
{
"index": 123,
"error": "<string>"
}
]
}{
"error": "validation_error",
"message": "Request validation failed",
"requestId": "req_q7vei435zifs51ia0lqr"
}{
"error": "unauthorized",
"message": "Invalid API key",
"requestId": "req_q7vei435zifs51ia0lqr"
}{
"error": "forbidden",
"message": "API key does not have the required scope",
"requestId": "req_q7vei435zifs51ia0lqr"
}Recipients
Create recipients in bulk
Up to 100 per call. Partial success is normal — check failed for rejects.
POST
/
v1
/
recipients
/
bulk
Create recipients in bulk
Authorizations
Your API key: sk_test_… (sandbox) or sk_live_… (production).
Body
application/json
Required array length:
1 - 100 elementsShow child attributes
Show child attributes
⌘I